
#ifndef SERVIDOR_MART_H
#define SERVIDOR_MART_H

#include <ptime.h>
#include <pasync.h>

#define MILISEGONS_CLIENT_INFORME 10000

USING_PTYPES

class Thread_Servidor_Mart : public thread
{
   protected:
      virtual void execute();
      int port_mart;
   public:
      Thread_Servidor_Mart(int port) : thread(true), port_mart(port) {}
      ~Thread_Servidor_Mart() {} 
};

class Thread_Servidor_Informes : public thread
{
   protected:
      virtual void execute();
   public:
      Thread_Servidor_Informes() : thread(true) {}
      ~Thread_Servidor_Informes() {} 
};

extern void modificar_informe(TInforme dada, int esborrar);

#endif
